<?php
/**
 * The template for displaying Comments.
 *
 * The area of the page that contains comments and the comment form.
 * If the current post is protected by a password and the visitor has not yet
 * entered the password we will return early without loading the comments.
 */
if ( post_password_required() )
    return;
?>

  <?php if ( have_comments() ) : ?>
    <div class="comment-area-wrapper pt-60">
      <div class="comment-area-title">
        <h4><?php comments_number( esc_html__('0 Comments', 'nolez'), esc_html__('1 Comment', 'nolez'), esc_html__('% Comments', 'nolez') ); ?></h4>
      </div>
      <div class="row">
        <?php wp_list_comments('callback=nolez_theme_comment'); ?> 
      </div>
    </div>
          <!-- START PAGINATION -->
      <?php
          if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :
      ?>
      <div class="pagination_area">
           <nav>
                <ul class="pagination">
                     <li> <?php paginate_comments_links( 
                    array(
                    'prev_text' => wp_specialchars_decode(esc_html__( '<i class="fa fa-angle-left"></i>', 'nolez' ),ENT_QUOTES),
                    'next_text' => wp_specialchars_decode(esc_html__( '<i class="fa fa-angle-right"></i>', 'nolez' ),ENT_QUOTES),
                    ));  ?>
                      </li>
                </ul>
           </nav>
      </div>
    <?php endif; ?>
    <!-- END PAGINATION --> 
<?php endif; ?>
                        
<?php
  if ( is_singular() ) wp_enqueue_script( "comment-reply" );
      $aria_req = ( $req ? " aria-required='true'" : '' );
      $comment_args = array(
              'id_form' => 'commentform',        
              'class_form' => 'comment-form',                         
              'title_reply'=> esc_html__( 'Leave a comment', 'nolez' ),
              'fields' => apply_filters( 'comment-form-wrapper', array(
                  'author' =>   '<div class="form-row"><div class="col-lg-6 form-group">
                                  <input type="text" name="author" placeholder="'.esc_attr__('Your Full Name', 'nolez').'" required="required" data-error="Name is required.">
                                  <i class="far fa-user"></i>
                                </div>',
                  'email' =>    ' <div class="col-lg-6 form-group">
                                    <input type="email" name="email" placeholder="'.esc_attr__('Your Email', 'nolez').'" required="required" data-error="Email is required.">
                                    <i class="far fa-envelope"></i>
                                  </div></div>',

              ) ),   
              'comment_field' => '<div class="form-row"><div class="col-12 form-group">
                                      <textarea name="comment" id="comment" '.$aria_req.' placeholder="'.esc_attr__('Write a comment...', 'nolez').'" cols="30" rows="10" required="required" data-error="Please,leave us a message."></textarea>
                                      <i class="fas fa-pencil-alt"></i>
                                  </div></div>',                
               'label_submit' => esc_html__( 'Post a comment', 'nolez' ),
               'comment_notes_before' => '',
               'comment_notes_after' => '',               
      )
  ?>

<?php if ( comments_open() ) : ?>
<?php comment_form($comment_args); ?>
<?php endif; ?> 