<?php $nolez_redux_demo = get_option('redux_demo');?> 
<!-- footer area -->
  <footer class="pt-110 footer-bg-2">
    <div class="container">
      <div class="row">
        <div class="col-xl-3 col-lg-3 col-md-6">
          <div class="footer-widget">
            <div class="footer-logo">
                <a href="<?php echo esc_url(home_url('/')); ?>">
                <?php if(isset($nolez_redux_demo['footer_logo']['url']) && $nolez_redux_demo['footer_logo']['url'] != ''){ ?>
                    <img src="<?php echo esc_url($nolez_redux_demo['footer_logo']['url']); ?>">
                <?php }else{ ?>
                    <img src="<?php echo get_template_directory_uri();?>/assets/img/logo-white.png">
                <?php } ?>
                </a>
            </div>
            <div class="footer-text">
              <p><?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['footer_description']));?></p>
            </div>
            <div class="footer-link">
              <?php if(isset($nolez_redux_demo['footer_facebook']) && $nolez_redux_demo['footer_facebook'] != ''){?>
              <a class="fb" href="<?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['footer_facebook']));?>"><i class="fab fa-facebook-f"></i></a>
              <?php } ?>
              <?php if(isset($nolez_redux_demo['footer_twitter']) && $nolez_redux_demo['footer_twitter'] != ''){?>
              <a class="twit" href="<?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['footer_twitter']));?>"><i class="fab fa-twitter"></i></a>
              <?php } ?>
              <?php if(isset($nolez_redux_demo['footer_instagram']) && $nolez_redux_demo['footer_instagram'] != ''){?>
              <a class="insta" href="<?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['footer_instagram']));?>"><i class="fab fa-instagram"></i></a>
              <?php } ?>
              <?php if(isset($nolez_redux_demo['footer_google']) && $nolez_redux_demo['footer_google'] != ''){?>
              <a class="google" href="<?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['footer_google']));?>"><i class="fab fa-google"></i></a>
              <?php } ?>
            </div>
          </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6">
          <div class="footer-widget">
            <?php if ( is_active_sidebar( 'footer-area-1' ) ) : ?>
            <?php dynamic_sidebar( 'footer-area-1' ); ?>
            <?php endif; ?>
          </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6">
          <div class="footer-widget">
            <?php if ( is_active_sidebar( 'footer-area-2' ) ) : ?>
            <?php dynamic_sidebar( 'footer-area-2' ); ?>
            <?php endif; ?>
          </div>
        </div>
        <div class="col-xl-3 col-lg-3 col-md-6">
          <div class="footer-widget lat-news-last">
            <?php if ( is_active_sidebar( 'footer-area-3' ) ) : ?>
            <?php dynamic_sidebar( 'footer-area-3' ); ?>
            <?php endif; ?>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-xl-5 col-lg-6 col-md-6 mb-40">
          <div class="footer-contact">
            <?php if ( is_active_sidebar( 'footer-area-4' ) ) : ?>
            <?php dynamic_sidebar( 'footer-area-4' ); ?>
            <?php endif; ?>
          </div>
        </div>
        <div class="col-xl-5 col-lg-6 col-md-6 offset-xl-1  mb-40">
            <?php if ( is_active_sidebar( 'footer-area-5' ) ) : ?>
            <?php dynamic_sidebar( 'footer-area-5' ); ?>
            <?php endif; ?>
        </div>
      </div>
      <div class="row footer-copyright">
        <div class="col-xl-4 col-lg-4 text-center text-lg-left">
          <div class="copyright-text">
            <p><?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['footer_text']));?></p>
          </div>
        </div>
        <div class="col-xl-6 col-lg-8 d-none d-lg-block offset-xl-2">
          <div class="footer-menu d-flex justify-content-end">
            <?php 
              wp_nav_menu( 
              array( 
                    'theme_location' => 'footer',
                    'container' => '',
                    'menu_class' => '', 
                    'menu_id' => '',
                    'menu'            => '',
                    'container_class' => '',
                    'container_id'    => '',
                    'echo'            => true,
                    'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
                    'walker'            => new nolez_wp_bootstrap_navwalker(),
                    'before'          => '',
                    'after'           => '',
                    'link_before'     => '',
                    'link_after'      => '',
                    'items_wrap'      => '<ul  class=" %2$s">%3$s</ul>',
                    'depth'           => 0,        
                )
             ); ?>
          </div>
        </div>
      </div>
    </div>
  </footer>
  <?php wp_footer(); ?>


<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>