<?php

/**

 * Recent_Posts widget class

 *

 * @since 2.8.0

 */

class nolez_widget_course extends WP_Widget {



    function __construct() {

        $widget_ops = array('classname' => 'widget_course', 'description' => esc_html__( "The most recent course on your site", 'nolez') );

        parent::__construct('recent_courses', esc_html__(' Recent Course', 'nolez'), $widget_ops);

        $this->alt_option_name = 'widget_course';



    }



    function widget($args, $instance) {

        $cache = wp_cache_get('nolez_widget_course', 'widget');



        if ( !is_array($cache) )

            $cache = array();



        if ( ! isset( $args['widget_id'] ) )

            $args['widget_id'] = $this->id;



        if ( isset( $cache[ $args['widget_id'] ] ) ) {

            echo wp_specialchars_decode(esc_attr($cache[ $args['widget_id'] ]));

            return;

        }



        ob_start();

        extract($args);



        $title = ( ! empty( $instance['title'] ) ) ? $instance['title'] : esc_html__( '', 'nolez' );

        $title = apply_filters( 'widget_title', $title, $instance, $this->id_base );

        $number = ( ! empty( $instance['number'] ) ) ? absint( $instance['number'] ) : 10;

        if ( ! $number )

            $number = 10;

        $show_date = isset( $instance['show_date'] ) ? $instance['show_date'] : false;



        $r = new WP_Query( apply_filters( 'widget_post_args', array( 'posts_per_page' => $number1, 'no_found_rows' => true, 'post_status' => 'publish', 'ignore_sticky_posts' => true ) ) );

        if ($r->have_posts()) :

?>

        <?php echo wp_specialchars_decode(esc_attr($before_widget),ENT_QUOTES); ?>

        <?php if ( $title ) echo wp_specialchars_decode(esc_attr($before_title),ENT_QUOTES) . esc_attr($title) . wp_specialchars_decode(esc_attr($after_title),ENT_QUOTES); ?>

             

              <div class="sidebar-content latcourse">

                <?php 

                    $args = array(   

                                'post_type' => 'course',

                                'posts_per_page' => $number,

                            );  

                            $wp_query = new WP_Query($args);

                            while ($wp_query -> have_posts()) : $wp_query -> the_post(); 

                ?>

                <?php $course_image_3 = get_post_meta(get_the_ID(),'_cmb_course_image_3', true); ?>

                <a href="<?php the_permalink() ?>" class="single-latcourse d-flex">

                  <div class="latcourse-img">

                    <img src="<?php echo wp_get_attachment_url($course_image_3);?>" alt="">

                  </div>

                  <div class="latcourse-text">

                    <h5><?php echo get_the_title() ? get_the_title() : get_the_ID(); ?></h5>

                    <p><?php the_time(get_option( 'date_format' ));?></p>

                  </div>

                </a>

                <?php endwhile; ?>

              </div>

        <?php echo wp_specialchars_decode(esc_attr($after_widget)); ?>

<?php

        // Reset the global $the_post as this query will have stomped on it

        wp_reset_postdata();



        endif;



        $cache[$args['widget_id']] = ob_get_flush();

        wp_cache_set('nolez_widget_course', $cache, 'widget');

    }



    function update( $new_instance, $old_instance ) {

        $instance = $old_instance;

        $instance['title'] = strip_tags($new_instance['title']);

        $instance['number'] = (int) $new_instance['number'];

        $instance['show_date'] = (bool) $new_instance['show_date'];



        $alloptions = wp_cache_get( 'alloptions', 'options' );

        if ( isset($alloptions['widget_course']) )

            delete_option('widget_course');



        return $instance;

    }



    function form( $instance ) {

        $title     = isset( $instance['title'] ) ? esc_attr( $instance['title'] ) : '';

        $number    = isset( $instance['number'] ) ? absint( $instance['number'] ) : 3;

        $show_date = isset( $instance['show_date'] ) ? (bool) $instance['show_date'] : false;

?>

        <p><label for="<?php echo esc_attr($this->get_field_id( 'title' )); ?>"><?php esc_html_e( 'Title:', 'nolez' ); ?></label>

        <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'title' )); ?>" type="text" value="<?php echo esc_attr($title); ?>" /></p>



        <p><label for="<?php echo esc_attr($this->get_field_id( 'number' )); ?>"><?php esc_html_e( 'Number of courses to show:', 'nolez' ); ?></label>

        <input id="<?php echo esc_attr($this->get_field_id( 'number' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'number' )); ?>" type="text" value="<?php echo esc_attr($number); ?>" size="3" /></p>



        <p><input class="checkbox" type="checkbox" <?php checked( $show_date ); ?> id="<?php echo esc_attr($this->get_field_id( 'show_date' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'show_date' )); ?>" />

        <label for="<?php echo esc_attr($this->get_field_id( 'show_date' )); ?>"><?php esc_html_e( 'Display post date?', 'nolez' ); ?></label></p>

<?php

    }

}





function nolez_register2_custom_widgets() {

    register_widget( 'nolez_widget_course' );

}

add_action( 'widgets_init', 'nolez_register2_custom_widgets' );  