<!doctype html>
<html class="no-js" <?php language_attributes(); ?>>
<?php $nolez_redux_demo = get_option('redux_demo'); ?>
    <head>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php if(isset($nolez_redux_demo['favicon']['url'])){ ?>
        <link rel="shortcut icon" href="<?php echo esc_url($nolez_redux_demo['favicon']['url']); ?>">
    <?php }?>
    <?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) {
        ?>
    <?php }?>
    <?php wp_head(); ?>
    </head>
    <body id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

    <!-- preloader -->
  <div class="preloader"></div>

  <!-- Header Area -->
  <header>
    <!-- Top Header -->
    <div class="header-top-2 d-none d-md-block">
      <div class="container">
        <div class="row">
          <!-- Header Top Left -->
          <div class="col-md-6">
            <div class="top-header-link-2">
              <ul>
                <?php if(isset($nolez_redux_demo['header_facebook']) && $nolez_redux_demo['header_facebook'] != ''){?>
                <li><a href="<?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['header_facebook']));?>"><i class="fab fa-facebook-f"></i></a></li>
                <?php } ?>
                <?php if(isset($nolez_redux_demo['header_twitter']) && $nolez_redux_demo['header_twitter'] != ''){?>
                <li><a href="<?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['header_twitter']));?>"><i class="fab fa-twitter"></i></a></li>
                <?php } ?>
                <?php if(isset($nolez_redux_demo['header_behance']) && $nolez_redux_demo['header_behance'] != ''){?>
                <li><a href="<?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['header_behance']));?>"><i class="fab fa-behance"></i></a></li>
                <?php } ?>
                <?php if(isset($nolez_redux_demo['header_youtube']) && $nolez_redux_demo['header_youtube'] != ''){?>
                <li><a href="<?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['header_youtube']));?>"><i class="fab fa-youtube"></i></a></li>
                <?php } ?>
                <?php if(isset($nolez_redux_demo['header_dribbble']) && $nolez_redux_demo['header_dribbble'] != ''){?>
                <li><a href="<?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['header_dribbble']));?>"><i class="fab fa-dribbble"></i></a></li>
                <?php } ?>
              </ul>
            </div>
          </div>
          <!-- Header Top Right -->
          <?php if(isset($nolez_redux_demo['header_phone']) && $nolez_redux_demo['header_phone'] != ''){?>
          <div class="col-md-6">
            <div class="header-top-right-2 text-right">
              <ul>
                <li>
                  <p><i class="fas fa-phone"></i><?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['header_phone']));?></p>
                </li>
              </ul>
            </div>
          </div>
          <?php } ?>
        </div>
      </div>
    </div>
    <!-- Top Header End -->
    <!-- Main Header -->
    <div class="main-header-2">
      <div class="container header-2">
        <div class="row justify-content-between">
          <!-- Logo Area -->
          <div class="col-lg-2 col-md-2">
            <div class="logo-area-2">
              <a href="<?php echo esc_url(home_url('/')); ?>">
                <?php if(isset($nolez_redux_demo['logo_2']['url']) && $nolez_redux_demo['logo_2']['url'] != ''){ ?>
                    <img src="<?php echo esc_url($nolez_redux_demo['logo_2']['url']); ?>">
                <?php }else{ ?>
                    <img src="<?php echo get_template_directory_uri();?>/assets/img/h2-logo.png">
                <?php } ?>
              </a>
            </div>
          </div>
          <!-- Main Menu -->
          <div class="col-lg-10 col-md-10">
            <div class="main-header-right d-flex justify-content-end">
              <nav class="main-menu-2 text-right" id="mobile-menu-active">
                <?php 
                  wp_nav_menu( 
                  array( 
                        'theme_location' => 'primary',
                        'container' => '',
                        'menu_class' => '', 
                        'menu_id' => '',
                        'menu'            => '',
                        'container_class' => '',
                        'container_id'    => '',
                        'echo'            => true,
                        'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
                        'walker'            => new nolez_wp_bootstrap_navwalker(),
                        'before'          => '',
                        'after'           => '',
                        'link_before'     => '',
                        'link_after'      => '',
                        'items_wrap'      => '<ul  class=" %2$s">%3$s</ul>',
                        'depth'           => 0,        
                    )
                 ); ?>
              </nav>
              <div class="sidebar-btn ml-3 d-none d-lg-block">
                <a href="#" class="menu-bar info-bar"><i class="fas fa-bars"></i></a>
              </div>
            </div>
          </div>
        </div>
        <div class="mobile-menu home-2">
          <span class="sr-only">Mobile Menu Will Add Here</span>
        </div>
      </div>
    </div>
    <!-- Main Header End -->
  </header>
  <!-- Header Area End -->

  <!-- extra info -->
  <div class="extra-info">
      <div class="close-icon">
          <button><i class="far fa-window-close"></i></button>
      </div>
      <?php if(isset($nolez_redux_demo['header_description']) && $nolez_redux_demo['header_description'] != ''){?>
      <p><?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['header_description']));?></p>
      <?php } ?>
      <?php if(isset($nolez_redux_demo['header_facebook']) && $nolez_redux_demo['header_facebook'] != ''){?>
      <a href="<?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['header_facebook']));?>"><i class="fab fa-facebook-f"></i></a>
      <?php } ?>
      <?php if(isset($nolez_redux_demo['header_twitter']) && $nolez_redux_demo['header_twitter'] != ''){?>
      <a href="<?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['header_twitter']));?>"><i class="fab fa-twitter"></i></a>
      <?php } ?>
      <?php if(isset($nolez_redux_demo['header_google']) && $nolez_redux_demo['header_google'] != ''){?>
      <a href="<?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['header_google']));?>"><i class="fab fa-google-plus-g"></i></a>
      <?php } ?>
      <?php if(isset($nolez_redux_demo['header_instagram']) && $nolez_redux_demo['header_instagram'] != ''){?>
      <a href="<?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['header_instagram']));?>"><i class="fab fa-instagram"></i></a>
      <?php } ?>
  </div>