<!doctype html>
<html class="no-js" <?php language_attributes(); ?>>
<?php $nolez_redux_demo = get_option('redux_demo'); ?>
    <head>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php if(isset($nolez_redux_demo['favicon']['url'])){ ?>
        <link rel="shortcut icon" href="<?php echo esc_url($nolez_redux_demo['favicon']['url']); ?>">
    <?php }?>
    <?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) {
        ?>
    <?php }?>
    <?php wp_head(); ?>
    </head>
    <body id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

    <!-- preloader -->
    <div class="preloader"></div>
    <!-- header area -->
    <header class="home3-hero-area" style="background-image: url(<?php echo esc_url($nolez_redux_demo['header_3_banner_image']['url']); ?>);">
        <div class="container">
            <!-- tob-bar -->
            <div class="top-bar d-none d-lg-block">
                <div class="row align-items-center">
                    <div class="col-lg-8">
                        <!-- top-bar contact  -->
                        <div class="top-bar-contact">
                            <ul>
                                <?php if(isset($nolez_redux_demo['header_address']) && $nolez_redux_demo['header_address'] != ''){?>
                                <li> <i class="fa fa-map-marker-alt"></i> <span><?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['header_address']));?></span>
                                </li>
                                <?php } ?>
                                <?php if(isset($nolez_redux_demo['header_phone']) && $nolez_redux_demo['header_phone'] != ''){?>
                                <li> <i class="fa fa-telephone"></i> <span><?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['header_phone']));?></span></li>
                                <?php } ?>
                                <?php if(isset($nolez_redux_demo['header_time']) && $nolez_redux_demo['header_time'] != ''){?>
                                <li> <i class="fa fa-clock"></i> <span><?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['header_time']));?></span></li>
                                <?php } ?>
                            </ul>
                        </div>
                    </div>
                    <div class=" col-lg-4">
                        <!--  top-bar social icon -->
                        <div class="top-bar-social-icon float-right">
                            <ul>
                                <?php if(isset($nolez_redux_demo['header_facebook']) && $nolez_redux_demo['header_facebook'] != ''){?>
                                <li><a href="<?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['header_facebook']));?>"><i class="fab fa-facebook-f"></i></a></li>
                                <?php } ?>
                                <?php if(isset($nolez_redux_demo['header_twitter']) && $nolez_redux_demo['header_twitter'] != ''){?>
                                <li><a href="<?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['header_twitter']));?>"><i class="fab fa-twitter"></i></a></li>
                                <?php } ?>
                                <?php if(isset($nolez_redux_demo['header_behance']) && $nolez_redux_demo['header_behance'] != ''){?>
                                <li><a href="<?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['header_behance']));?>"><i class="fab fa-behance"></i></a></li>
                                <?php } ?>
                                <?php if(isset($nolez_redux_demo['header_youtube']) && $nolez_redux_demo['header_youtube'] != ''){?>
                                <li><a href="<?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['header_youtube']));?>"><i class="fab fa-youtube"></i></a></li>
                                <?php } ?>
                                <?php if(isset($nolez_redux_demo['header_dribbble']) && $nolez_redux_demo['header_dribbble'] != ''){?>
                                <li><a href="<?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['header_dribbble']));?>"><i class="fab fa-dribbble"></i></a></li>
                                <?php } ?>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <!-- top-bar end-->
            <!-- main header -->
            <div class="home3-main-header">
                <div class="row align-items-center pr-0 pl-0">
                    <div class="col-xl-3 col-lg-3 col-md-3">
                        <!-- logo -->
                        <div class="home3-logo float-left">
                            <a href="<?php echo esc_url(home_url('/')); ?>">
                                <?php if(isset($nolez_redux_demo['logo_3']['url']) && $nolez_redux_demo['logo_3']['url'] != ''){ ?>
                                    <img src="<?php echo esc_url($nolez_redux_demo['logo_3']['url']); ?>">
                                <?php }else{ ?>
                                    <img src="<?php echo get_template_directory_uri();?>/assets/img/h3-logo.png">
                                <?php } ?>
                            </a>
                        </div>
                    </div>
                    <div class="col-xl-8 col-lg-8 col-md-9 offset-lg-1 text-right">
                        <!-- navigation bar -->
                        <nav class="home3 float-right" id="mobile-menu-active">
                            <?php 
                            wp_nav_menu( 
                            array( 
                                  'theme_location' => 'primary',
                                  'container' => '',
                                  'menu_class' => '', 
                                  'menu_id' => '',
                                  'menu'            => '',
                                  'container_class' => '',
                                  'container_id'    => '',
                                  'echo'            => true,
                                  'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
                                  'walker'            => new nolez_wp_bootstrap_navwalker(),
                                  'before'          => '',
                                  'after'           => '',
                                  'link_before'     => '',
                                  'link_after'      => '',
                                  'items_wrap'      => '<ul  class=" %2$s">%3$s</ul>',
                                  'depth'           => 0,        
                              )
                           ); ?>
                        </nav>

                    </div>
                </div>
            </div>
            <div class="mobile-menu"></div>
            <div class="row">
                <div class="col-xl-12">
                    <!-- banner text -->
                    <div class="home3-hero-content text-center">
                        <?php if(isset($nolez_redux_demo['home_3_subheading']) && $nolez_redux_demo['home_3_subheading'] != ''){?>
                        <span class="header-title"><?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['home_3_subheading']));?></span>
                        <?php } ?>
                        <?php if(isset($nolez_redux_demo['home_3_heading']) && $nolez_redux_demo['home_3_heading'] != ''){?>
                        <h1><?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['home_3_heading']));?></h1>
                        <?php } ?>
                        <div class="home3-hero-btn">
                            <?php if(isset($nolez_redux_demo['home_3_button_1']) && $nolez_redux_demo['home_3_button_1'] != ''){?>
                            <div class="home3-single-btn"><a href="<?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['home_3_linkbutton_1']));?>" class="home3-btn"><?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['home_3_button_1']));?> <i
                                        class="fas fa-long-arrow-alt-right"></i></a>
                            </div>
                            <?php } ?>
                            <?php if(isset($nolez_redux_demo['home_3_button_2']) && $nolez_redux_demo['home_3_button_2'] != ''){?>
                            <div class="home3-single-btn"><a href="<?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['home_3_linkbutton_2']));?>" class="home3-btn"><?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['home_3_button_2']));?> <i
                                        class="fas fa-long-arrow-alt-right"></i></a>
                            </div>
                            <?php } ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- container -->
    </header>
    <!-- header end -->