<!doctype html>
<html class="no-js" <?php language_attributes(); ?>>
<?php $nolez_redux_demo = get_option('redux_demo'); ?>
    <head>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php if(isset($nolez_redux_demo['favicon']['url'])){ ?>
        <link rel="shortcut icon" href="<?php echo esc_url($nolez_redux_demo['favicon']['url']); ?>">
    <?php }?>
    <?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) {
        ?>
    <?php }?>
    <?php wp_head(); ?>
    </head>
    <body id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

    <!-- preloader -->
  <div class="preloader"></div>

  <!-- header area -->
  <header>
    <!-- Header Top -->
    <div class="header-top-4 pt-10 pb-10 d-none d-md-block">
      <div class="container">
        <div class="row">
          <!-- header top left -->
          <div class="col-md-5 col-lg-6">
            <div class="top-header-left-4">
              <?php if(isset($nolez_redux_demo['greeting']) && $nolez_redux_demo['greeting'] != ''){?>
              <p><?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['greeting']));?></p>
              <?php } ?>
            </div>
          </div>
          <!-- Top Header Right -->
          <div class="col-md-7 col-lg-6">
            <!-- Header Content -->
            <div class="top-header-right-4 d-flex justify-content-end">
              <?php if(isset($nolez_redux_demo['header_phone']) && $nolez_redux_demo['header_phone'] != ''){?>
              <div class="header-content-4">
                <ul>
                  <li><a href="#"><i class="fas fa-phone"></i><?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['header_phone']));?></a></li>
                </ul>
              </div>
              <?php } ?>
              <!-- top Header Link -->
              <div class="top-header-link-4 d-none d-lg-block">
                <ul>
                  <?php if(isset($nolez_redux_demo['header_facebook']) && $nolez_redux_demo['header_facebook'] != ''){?>
                  <li><a href="<?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['header_facebook']));?>"><i class="fab fa-facebook-f"></i></a></li>
                  <?php } ?>
                  <?php if(isset($nolez_redux_demo['header_twitter']) && $nolez_redux_demo['header_twitter'] != ''){?>
                  <li><a href="<?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['header_twitter']));?>"><i class="fab fa-twitter"></i></a></li>
                  <?php } ?>
                  <?php if(isset($nolez_redux_demo['header_behance']) && $nolez_redux_demo['header_behance'] != ''){?>
                  <li><a href="<?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['header_behance']));?>"><i class="fab fa-behance"></i></a></li>
                  <?php } ?>
                  <?php if(isset($nolez_redux_demo['header_youtube']) && $nolez_redux_demo['header_youtube'] != ''){?>
                  <li><a href="<?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['header_youtube']));?>"><i class="fab fa-youtube"></i></a></li>
                  <?php } ?>
                  <?php if(isset($nolez_redux_demo['header_dribbble']) && $nolez_redux_demo['header_dribbble'] != ''){?>
                  <li><a href="<?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['header_dribbble']));?>"><i class="fab fa-dribbble"></i></a></li>
                  <?php } ?>
                </ul>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- Header Top End -->
    <!-- Main Header -->
    <div class="main-header-4">
      <div class="container">
        <div class="row">
          <!-- Site Logo -->
          <div class="col-md-3 col-lg-3 col-xl-3">
            <div class="header-logo-4 ">
              <a href="<?php echo esc_url(home_url('/')); ?>">
                  <?php if(isset($nolez_redux_demo['logo_4']['url']) && $nolez_redux_demo['logo_4']['url'] != ''){ ?>
                      <img src="<?php echo esc_url($nolez_redux_demo['logo_4']['url']); ?>">
                  <?php }else{ ?>
                      <img src="<?php echo get_template_directory_uri();?>/assets/img/h4-logo.png">
                  <?php } ?>
              </a>
            </div>
          </div>
          <!-- Main Menu -->
          <div class="col-lg-9 col-xl-9 col-md-9">
			<div class="header-link-4 f-right text-right d-none d-xl-block">
              <?php if(isset($nolez_redux_demo['home_4_button']) && $nolez_redux_demo['home_4_button'] != ''){?>
              <a class="login" href="<?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['home_4_linkbutton']));?>"><i class="fas fa-lock"></i><?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['home_4_button']));?></a>
              <?php } ?>
            </div>
            <nav class="main-menu-4 text-right" id="mobile-menu-active">
              <?php 
                wp_nav_menu( 
                array( 
                      'theme_location' => 'primary',
                      'container' => '',
                      'menu_class' => '', 
                      'menu_id' => '',
                      'menu'            => '',
                      'container_class' => '',
                      'container_id'    => '',
                      'echo'            => true,
                      'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
                      'walker'            => new nolez_wp_bootstrap_navwalker(),
                      'before'          => '',
                      'after'           => '',
                      'link_before'     => '',
                      'link_after'      => '',
                      'items_wrap'      => '<ul  class=" %2$s">%3$s</ul>',
                      'depth'           => 0,        
                  )
               ); ?>
            </nav>
          </div>
          <!-- Main Menu End -->
        </div>
        <!-- Mobile Menu -->
        <div class="mobile-menu">
          <span class="sr-only">Mobile Menu Will Place Here</span>
        </div>
      </div>
    </div>
    <!-- Main Header End -->
  </header>
  <!-- header area End -->