<!doctype html>
<html class="no-js" <?php language_attributes(); ?>>
<?php $nolez_redux_demo = get_option('redux_demo'); ?>
    <head>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php if(isset($nolez_redux_demo['favicon']['url'])){ ?>
        <link rel="shortcut icon" href="<?php echo esc_url($nolez_redux_demo['favicon']['url']); ?>">
    <?php }?>
    <?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) {
        ?>
    <?php }?>
    <?php wp_head(); ?>
    </head>
    <body id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
      <!-- preloader -->
      <div class="preloader"></div>

      <!-- header area -->
      <header>
        <!-- top haeder -->
        <div class="top-header d-none d-md-block">
          <div class="container">
            <div class="row justify-content-center">
              <div class="col-xl-10">
                <div class="top-header-content d-flex justify-content-evenly">
                  <?php if(isset($nolez_redux_demo['header_address']) && $nolez_redux_demo['header_address'] != ''){?>
                  <p><i class="fas fa-map-marker-alt"></i> <?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['header_address']));?></p>
                  <?php } ?>
                  <?php if(isset($nolez_redux_demo['header_phone']) && $nolez_redux_demo['header_phone'] != ''){?>
                  <p><i class="fas fa-phone"></i> <?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['header_phone']));?></p>
                  <?php } ?>
                  <?php if(isset($nolez_redux_demo['header_time']) && $nolez_redux_demo['header_time'] != ''){?>
                  <p><i class="far fa-clock"></i> <?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['header_time']));?></p>
                  <?php } ?>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- main header -->
        <div class="main-header">
          <div class="container-fluid">
            <div class="row">
              <!-- header logo -->
              <div class="col-xl-3 col-lg-2 col-md-2 logo-wrapper">
                <div class="header-logo d-flex justify-content-start justify-content-xl-center">
                    <a href="<?php echo esc_url(home_url('/')); ?>">
                    <?php if(isset($nolez_redux_demo['logo']['url']) && $nolez_redux_demo['logo']['url'] != ''){ ?>
                        <img src="<?php echo esc_url($nolez_redux_demo['logo']['url']); ?>">
                    <?php }else{ ?>
                        <img src="<?php echo get_template_directory_uri();?>/assets/img/logo.png">
                    <?php } ?>
                    </a>
                </div>
              </div>
              <!-- navigation -->
              <div class="col-xl-6 col-lg-8 col-md-10 nav-wrapper">
                <nav id="mobile-menu-active">
                  <?php 
                    wp_nav_menu( 
                    array( 
                          'theme_location' => 'primary',
                          'container' => '',
                          'menu_class' => '', 
                          'menu_id' => '',
                          'menu'            => '',
                          'container_class' => '',
                          'container_id'    => '',
                          'echo'            => true,
                          'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
                          'walker'            => new nolez_wp_bootstrap_navwalker(),
                          'before'          => '',
                          'after'           => '',
                          'link_before'     => '',
                          'link_after'      => '',
                          'items_wrap'      => '<ul  class="text-center %2$s">%3$s</ul>',
                          'depth'           => 0,        
                      )
                   ); ?>
                </nav>
              </div>
              <!-- header link -->
              <div class="col-xl-3 col-lg-2 d-none d-lg-block link-wrapper">
                <div class="header-link d-flex align-items-center">
                  <div class="lang-opt d-flex align-items-center">
                    <div class="flag">
                      <img src="<?php echo get_template_directory_uri();?>/assets/img/header/flag.jpg" alt="Flag">
                    </div>
                    <ul>
                      <li><a href="#">eng <i class="fas fa-angle-down"></i></a>
                        <ul class="sub-lang">
                          <li><a href="#">fra</a></li>
                          <li><a href="#">ind</a></li>
                        </ul>
                      </li>
                    </ul>
                  </div>
                  <div class="social-link">
                    <?php if(isset($nolez_redux_demo['header_facebook']) && $nolez_redux_demo['header_facebook'] != ''){?>
                    <a href="<?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['header_facebook']));?>"><i class="fab fa-facebook-f"></i></a>
                    <?php } ?>
                    <?php if(isset($nolez_redux_demo['header_twitter']) && $nolez_redux_demo['header_twitter'] != ''){?>
                    <a href="<?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['header_twitter']));?>"><i class="fab fa-twitter"></i></a>
                    <?php } ?>
                    <?php if(isset($nolez_redux_demo['header_behance']) && $nolez_redux_demo['header_behance'] != ''){?>
                    <a href="<?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['header_behance']));?>"><i class="fab fa-behance"></i></a>
                    <?php } ?>
                    <?php if(isset($nolez_redux_demo['header_youtube']) && $nolez_redux_demo['header_youtube'] != ''){?>
                    <a href="<?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['header_youtube']));?>"><i class="fab fa-youtube"></i></a>
                    <?php } ?>
                    <?php if(isset($nolez_redux_demo['header_dribbble']) && $nolez_redux_demo['header_dribbble'] != ''){?>
                    <a href="<?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['header_dribbble']));?>"><i class="fab fa-dribbble"></i></a>
                    <?php } ?>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="mobile-menu"></div>
      </header>
      <!-- header end -->