<?php
/*
 * Template Name: Blog Grid
 * Description: A Page Template with a Page Builder design.
 */
     $nolez_redux_demo = get_option('redux_demo');
     get_header(); 
?>
<?php if(isset($nolez_redux_demo['blog_banner_image']['url']) && $nolez_redux_demo['blog_banner_image']['url'] != ''){?>
<section class="banner" style="background-image: url(<?php echo esc_url($nolez_redux_demo['blog_banner_image']['url']); ?>);">
<?php }else{?>
<section class="banner">
<?php }?> 
    <div class="container">
      <div class="col-lg-12">
        <div class="banner-content">
          <div class="banner-title text-center">
              <h1>
                <?php if(isset($nolez_redux_demo['blog_grid_title'])){?>
                <?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['blog_grid_title']));?>
                <?php }else{?>
                <?php echo esc_html__( 'Blog Grid', 'nolez' );
                }
                ?>
              </h1>
          </div>
          <div class="directory text-center">
            <a href="<?php echo esc_url(home_url('/')); ?>">
                <?php if(isset($nolez_redux_demo['home_text'])){?>
                <?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['home_text']));?>
                <?php }else{?>
                <?php echo esc_html__( 'home', 'nolez' );
                }
                ?>
            </a>
            <span>| |</span>
            <a href="#">
                <?php if(isset($nolez_redux_demo['blog_grid_title'])){?>
                <?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['blog_grid_title']));?>
                <?php }else{?>
                <?php echo esc_html__( 'Blog Grid', 'nolez' );
                }
                ?>
            </a>
          </div>
        </div>
      </div>
    </div>
</section>

<!-- course area -->
<section class="blog-grid pt-130 pb-130">
  <div class="container">
    <div class="row">
      <?php $i=0;  $args = array(    
                'paged' => $paged,
                'post_type' => 'post',
                'posts_per_page' => $nolez_redux_demo['grid_number'],
              );
              $wp_query = new WP_Query($args);
      while (have_posts()): the_post(); $i++; ?>
      <?php $featured_image_3 = get_post_meta(get_the_ID(),'_cmb_featured_image_3', true); ?>
      <!-- single news slide -->
      <?php if($i % 3 == 1){ ?>
      <div class="col-lg-4 col-md-6 mb-55">
        <div class="single-news-slide">
          <div class="news-slide-img">
            <a href="<?php the_permalink(); ?>"><img src="<?php echo wp_get_attachment_url($featured_image_3);?>" alt="News"></a>
            <div class="tag"><?php 
                                // Show all category for post
                                $j = 1; foreach((get_the_category()) as $category) { 
                                if ($j == 1){echo ''; }else {echo ', ';}
                                    echo '<a class="categories" >'.$category->category_nicename . ' '.'</a>'; 
                                    $j++;
                              } ?></div>
          </div>
          <div class="news-slide-content home-2">
            <h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
            <div class="news-meta">
              <span><i class="far fa-user"></i> <?php the_author_posts_link(); ?></span>
              <span><i class="far fa-calendar-alt"></i> <?php the_time(get_option( 'date_format' ));?></span>
            </div>
            <p><?php if(isset($nolez_redux_demo['blog_excerpt_1'])){?>
                <?php echo esc_attr(nolez1_excerpt($nolez_redux_demo['blog_excerpt_1'])); ?>
                <?php }else{?>
                <?php echo esc_attr(nolez1_excerpt(40)); 
                }
                ?> 
            </p>
			  <div class="rd-more"> 
	                				<a class="b-btn" href="<?php the_permalink(); ?>">
		                				<?php if(isset($nolez_redux_demo['read_more'])){?>
		                                <?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['read_more']));?>
		                                <?php }else{?>
		                                <?php echo esc_html__( 'Read More', 'nolez' );?>
	                                	<?php } ?>
		                			</a>
								</div>
          </div>
        </div>
      </div>
      <!-- single news slide end -->
      <?php }elseif($i % 3 == 2){ ?>
      <!-- single news slide -->
      <div class="col-lg-4 col-md-6 mb-55">
        <div class="single-news-slide">
          <div class="news-slide-img">
            <a href="<?php the_permalink(); ?>"><img src="<?php echo wp_get_attachment_url($featured_image_3);?>" alt="News"></a>
            <div class="tag bg-2"><?php 
                                // Show all category for post
                                $j = 1; foreach((get_the_category()) as $category) { 
                                if ($j == 1){echo ''; }else {echo ', ';}
                                    echo '<a class="categories" >'.$category->category_nicename . ' '.'</a>'; 
                                    $j++;
                              } ?></div>
          </div>
          <div class="news-slide-content home-2">
            <h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
            <div class="news-meta">
              <span><i class="far fa-user"></i> <?php the_author_posts_link(); ?></span>
              <span><i class="far fa-calendar-alt"></i> <?php the_time(get_option( 'date_format' ));?></span>
            </div>
            <p><?php if(isset($nolez_redux_demo['blog_excerpt_1'])){?>
                <?php echo esc_attr(nolez1_excerpt($nolez_redux_demo['blog_excerpt_1'])); ?>
                <?php }else{?>
                <?php echo esc_attr(nolez1_excerpt(40)); 
                }
                ?> 
            </p>
			  <div class="rd-more"> 
	                				<a class="b-btn" href="<?php the_permalink(); ?>">
		                				<?php if(isset($nolez_redux_demo['read_more'])){?>
		                                <?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['read_more']));?>
		                                <?php }else{?>
		                                <?php echo esc_html__( 'Read More', 'nolez' );?>
	                                	<?php } ?>
		                			</a>
								</div>
          </div>
        </div>
      </div>
      <?php }else{ ?>
      <!-- single news slide end -->
      <!-- single news slide -->
      <div class="col-lg-4 col-md-6 mb-55">
        <div class="single-news-slide">
          <div class="news-slide-img">
            <a href="<?php the_permalink(); ?>"><img src="<?php echo wp_get_attachment_url($featured_image_3);?>" alt="News"></a>
            <div class="tag bg-3"><?php 
                                // Show all category for post
                                $j = 1; foreach((get_the_category()) as $category) { 
                                if ($j == 1){echo ''; }else {echo ', ';}
                                    echo '<a class="categories" >'.$category->category_nicename . ' '.'</a>'; 
                                    $j++;
                              } ?></div>
          </div>
          <div class="news-slide-content home-2">
            <h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
            <div class="news-meta">
              <span><i class="far fa-user"></i> <?php the_author_posts_link(); ?></span>
              <span><i class="far fa-calendar-alt"></i> <?php the_time(get_option( 'date_format' ));?></span>
            </div>
            <p><?php if(isset($nolez_redux_demo['blog_excerpt_1'])){?>
                <?php echo esc_attr(nolez1_excerpt($nolez_redux_demo['blog_excerpt_1'])); ?>
                <?php }else{?>
                <?php echo esc_attr(nolez1_excerpt(40)); 
                }
                ?> 
            </p>
			  <div class="rd-more"> 
	                				<a class="b-btn" href="<?php the_permalink(); ?>">
		                				<?php if(isset($nolez_redux_demo['read_more'])){?>
		                                <?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['read_more']));?>
		                                <?php }else{?>
		                                <?php echo esc_html__( 'Read More', 'nolez' );?>
	                                	<?php } ?>
		                			</a>
								</div>
          </div>
        </div>
      </div>
      <!-- single news slide end -->
      <?php } ?>
      <?php endwhile; ?>
    </div>

    <div class="row">
      <div class="col-lg-12">
        <!-- Blog Standard Pagination -->
        <div class="blog-standard-pagination text-center blog-grid">
          <?php nolez_pagination();?>
        </div>
        <!-- Blog Standard Pagination ENd -->
      </div>
    </div>
  </div>
</section>
<?php
    get_footer();
?>