<?php

/*

 * Template Name: Course Grid

 * Description: A Page Template with a Page Builder design.

 */

$nolez_redux_demo = get_option('redux_demo');

  get_header(); ?>

  <?php if(isset($nolez_redux_demo['course_banner_image']['url']) && $nolez_redux_demo['course_banner_image']['url'] != ''){?>

  <section class="banner" style="background-image: url(<?php echo esc_url($nolez_redux_demo['course_banner_image']['url']); ?>);">

  <?php }else{?>

  <section class="banner">

  <?php }?> 

    <div class="container">

      <div class="col-lg-12">

        <div class="banner-content">

          <div class="banner-title text-center">

            <h1>

              <?php if(isset($nolez_redux_demo['course_grid_title'])){?>

              <?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['course_grid_title']));?>

              <?php }else{?>

              <?php echo esc_html__( 'Course Grid View', 'nolez' );

              }

              ?>

            </h1>

          </div>

          <div class="directory text-center">

            <a href="<?php echo esc_url(home_url('/')); ?>">

              <?php if(isset($nolez_redux_demo['home_text'])){?>

              <?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['home_text']));?>

              <?php }else{?>

              <?php echo esc_html__( 'home', 'nolez' );

              }

              ?>

            </a>

            <span>| |</span>

            <a href="#">

              <?php if(isset($nolez_redux_demo['course_grid_title'])){?>

              <?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['course_grid_title']));?>

              <?php }else{?>

              <?php echo esc_html__( 'Course Grid View', 'nolez' );

              }

              ?></a>

          </div>

        </div>

      </div>

    </div>

  </section>



  <section class="course-grid pt-130 pb-130">

    <div class="container">

      <!-- shorting -->

      <div class="row">

        <div class="col-xl-3 col-lg-3 col-md-4">

          <div class="shorting">

            <div class="short-search">

              <form method="get" action="<?php echo esc_url( home_url( '/' ) );?>">

                <input type="hidden" name="post_type" value="course">

                <input type="search" class="field s" id="s" name="s" value="" placeholder="Search your course">

                <button type="submit"><i class="fas fa-search"></i></button>

              </form>

            </div>

          </div>

        </div>

        <div class="col-xl-2 col-lg-3 col-md-4 col-7">

          <div class="page-nmbr">

          </div>

        </div>

        <div class="col-xl-2 col-lg-3 col-md-4 offset-lg-3 col-5 offset-xl-5">

          <div class="view-as d-flex justify-content-end">

            <a href="<?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['link_course_list']));?>"><i class="fas fa-list-ul"></i></a>

            <a href="<?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['link_course_standard']));?>"><i class="fas fa-grip-horizontal"></i></a>

          </div>

        </div>

      </div>

      <!-- content -->

      <div class="row mt-30">

        <div class="col-lg-8">

          <div class="row">

            <?php   $args = array(    

                  'paged' => $paged,

                  'post_type' => 'course',

                  'posts_per_page' => $nolez_redux_demo['course_grid_number'],

                );

                $wp_query = new WP_Query($args);

              while (have_posts()): the_post(); ?>

            <?php $instructor_image = get_post_meta(get_the_ID(),'_cmb_instructor_image', true); ?>

            <?php $instructor = get_post_meta(get_the_ID(),'_cmb_instructor', true); ?>

            <?php $profile = get_post_meta(get_the_ID(),'_cmb_profile', true); ?>

            <?php $number_student = get_post_meta(get_the_ID(),'_cmb_number_student', true); ?>

            <?php $time_course = get_post_meta(get_the_ID(),'_cmb_time_course', true); ?>

            <?php $price_course = get_post_meta(get_the_ID(),'_cmb_price_course', true); ?>

            <?php $category_course = get_post_meta(get_the_ID(),'_cmb_category_course', true); ?>

            <?php $course_image_3 = get_post_meta(get_the_ID(),'_cmb_course_image_3', true); ?>

            <?php $course_grid_number = get_post_meta(get_the_ID(),'_cmb_course_grid_number', true); ?>

            <?php $course_select = get_post_meta(get_the_ID(),'_cmb_course_select', true); ?>

            <!-- single course  -->

            <div class="col-sm-6">

              <div class="single-lat-course">

                <div class="lat-course-img">

                  <img src="<?php echo wp_get_attachment_url($course_image_3);?>" alt="Course-Image">

                  <?php  $categories = get_the_terms(get_the_ID(),'category2');

                    foreach( (array)$categories as $categorie){



                    $cat_name = $categorie->name; 

                    $cat_slug = $categorie->slug;

                    ?>

                  <a href="#" class="course-tag"><?php echo esc_attr($cat_name);?></a>

                  <?php } ?>

                </div>

                <div class="lat-course-content">

                  <div class="rating">

                    <?php  if ($course_select=='one') { ?>

                    <span><i class="fas fa-star"></i></span>

                    <?php } elseif ($course_select=='two') {?>

                    <span><i class="fas fa-star"></i></span>

                    <span><i class="fas fa-star"></i></span>

                    <?php } elseif ($course_select=='three') {?>

                    <span><i class="fas fa-star"></i></span>

                    <span><i class="fas fa-star"></i></span>

                    <span><i class="fas fa-star"></i></span>

                    <?php } elseif ($course_select=='four') {?>

                    <span><i class="fas fa-star"></i></span>

                    <span><i class="fas fa-star"></i></span>

                    <span><i class="fas fa-star"></i></span>

                    <span><i class="fas fa-star"></i></span>

                    <?php }else{ ?>

                    <span><i class="fas fa-star"></i></span>

                    <span><i class="fas fa-star"></i></span>

                    <span><i class="fas fa-star"></i></span>

                    <span><i class="fas fa-star"></i></span>

                    <span><i class="fas fa-star"></i></span>

                    <?php } ?>

                  </div>

                  <div class="lat-course-title">

                    <h5><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h5>

                    <p><?php echo esc_attr($category_course);?></p>

                  </div>

                  <div class="lat-course-meta">

                    <span><i class="far fa-user"></i> <?php echo esc_attr($number_student);?></span>

                    <span><i class="far fa-clock"></i> <?php echo esc_attr($time_course);?></span>

                  </div>

                  <div class="lat-course-teacher d-flex align-items-center">

                    <div class="lat-teacher-img">

                      <img src="<?php echo wp_get_attachment_url($instructor_image);?>" alt="Teacher">

                    </div>

                    <div class="lat-teacher-details">

                      <h6><?php echo esc_attr($instructor);?></h6>

                      <p><?php echo esc_attr($profile);?></p>

                    </div>

                  </div>

                  <div class="lat-course-footer d-flex justify-content-between">

                    <p>Price <span><?php echo esc_attr($price_course);?></span></p>

                    <a href="<?php the_permalink(); ?>"><i class="fas fa-tags"></i> 

                    <?php if(isset($nolez_redux_demo['course_readmore'])){?>

                    <?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['course_readmore']));?>

                    <?php }else{?>

                    <?php echo esc_html__( 'Get Enrolled', 'nolez' );?>

                    <?php } ?></a>

                  </div>

                </div>

              </div>

            </div>

            <!-- single course end -->

            <?php endwhile; ?>

          </div>

          <!-- pagination -->

          <div class="blog-standard-pagination pagination text-center mb-5 mb-lg-0">

            <?php nolez_pagination();?>

          </div>

          <!-- pagination end -->

        </div>

        <!-- sidebar -->

        <div class="col-lg-4">

          <div class="sidebar-wrapper">

            <?php get_sidebar('course1');?>

          </div>

        </div>

        <!-- sidebar end -->

      </div>



    </div>

  </section>

<?php

  get_footer();

?>