<?php
     $nolez_redux_demo = get_option('redux_demo');
     get_header(); 
?>
<?php if(isset($nolez_redux_demo['blog_banner_image']['url']) && $nolez_redux_demo['blog_banner_image']['url'] != ''){?>
<section class="banner" style="background-image: url(<?php echo esc_url($nolez_redux_demo['blog_banner_image']['url']); ?>);">
<?php }else{?>
<section class="banner">
<?php }?> 
    <div class="container">
      <div class="col-lg-12">
        <div class="banner-content">
          <div class="banner-title text-center">
              <h1>
                <?php printf( esc_html__( 'Search Results for : %s', 'nolez' ), get_search_query() ); ?>
              </h1>
          </div>
        </div>
      </div>
    </div>
</section>

<!-- course area -->
<section class="blog-standard pt-130 pb-130">
    <div class="container">
      <!-- content -->
      <div class="row mt-30">
        <!-- Blog Standard Content Area -->
        <div class="col-lg-8">
          <?php
          while (have_posts()): the_post();
          get_template_part( 'content', get_post_format() ); ?>
          <?php $audio_link = get_post_meta(get_the_ID(),'_cmb_audio_link', true); ?>
          <?php $video_link = get_post_meta(get_the_ID(),'_cmb_video_link', true); ?>
          <!-- Single Blog Standard -->
          <div class="single-blog-standard">
            <?php if( has_post_format( 'image' , $post_id ) ) {?>
            <!-- Blog Image -->
            <?php if ( has_post_thumbnail() ) { ?>
            <div class="blog-standard-img">
              <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" class="img-fluid" alt="Blog Image">
            </div>
            <?php } ?>
            <?php } elseif ( has_post_format( 'video' , $post_id )) { ?>
            <div class="blog-standard-img">
              <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" class="img-fluid" alt="Blog Image">
              <a href="<?php echo esc_url($video_link); ?>" class="blog-viddeo popup-video"><i class="fas fa-play"></i></a>
            </div>
            <?php } elseif ( has_post_format( 'audio' , $post_id )) { ?>
            <div class="blog-standard-img embed-responsive embed-responsive-16by9">
              <iframe src="<?php echo esc_url($audio_link); ?>"></iframe>
            </div>
            <?php } elseif ( has_post_format( 'quote' , $post_id )) { ?>
            <div class="blog-standard-blockquote">
                <h2><?php the_title(); ?></h2>
            </div>
            <?php }else{ ?>
            <?php if ( has_post_thumbnail() ) { ?>
            <div class="blog-standard-img">
              <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" class="img-fluid" alt="Blog Image">
            </div>
            <?php } ?>
            <?php } ?>
            <!-- Blog Meta -->
            <div class="blog-standard-meta">
              <span><i class="far fa-user"></i><?php the_author_posts_link(); ?></span>
              <span><i class="far fa-calendar-alt"></i><?php the_time(get_option( 'date_format' ));?></span>
              <span><i class="far fa-comments"></i><?php comments_number( esc_html__('0 Comments', 'nolez'), esc_html__('1 Comment', 'nolez'), esc_html__('% Comments', 'nolez') ); ?></span>
            </div>
            <!-- Blog Content -->
            <div class="blog-standard-content">
              <h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
              <p>
                <?php if(isset($nolez_redux_demo['blog_excerpt'])){?>
                <?php echo esc_attr(nolez_excerpt($nolez_redux_demo['blog_excerpt'])); ?>
                <?php }else{?>
                <?php echo esc_attr(nolez_excerpt(40)); 
                }
                ?> 
              </p>
            </div>
            <!-- Blog Link Btn -->
            <div class="blog-standard-btn">
              <a href="<?php the_permalink(); ?>" class="learn-more"><i class="fas fa-book"></i>
                  <?php if(isset($nolez_redux_demo['read_more'])){?>
                  <?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['read_more']));?>
                  <?php }else{?>
                  <?php echo esc_html__( 'Learn More', 'nolez' );
                  }
                  ?>
              </a>
            </div>
          </div>
          <?php endwhile; ?>
          <!-- Single Blog Standard End -->
          <!-- Blog Standard Pagination -->
          <div class="blog-standard-pagination">
            <?php nolez_pagination();?>
          </div>
          <!-- Blog Standard Pagination ENd -->
        </div>
        <!-- Blog Standard Content Area End -->
        <!-- sidebar -->
        <div class="col-lg-4">
          <div class="sidebar-wrapper">
            <?php get_sidebar();?>
          </div>
        </div>
        <!-- sidebar end -->
      </div>
    </div>
</section>
<?php
    get_footer();
?>