<?php
   $nolez_redux_demo = get_option('redux_demo');
   get_header(); 
?>
<?php 
    while (have_posts()): the_post();
    get_template_part( 'content', get_post_format() );
?>
<?php $single_facebook = get_post_meta(get_the_ID(),'_cmb_single_facebook', true); ?>
<?php $single_twitter = get_post_meta(get_the_ID(),'_cmb_single_twitter', true); ?>
<?php $single_instagram = get_post_meta(get_the_ID(),'_cmb_single_instagram', true); ?>
<?php $single_youtube = get_post_meta(get_the_ID(),'_cmb_single_youtube', true); ?>
<?php $audio_link = get_post_meta(get_the_ID(),'_cmb_audio_link', true); ?>
<?php $video_link = get_post_meta(get_the_ID(),'_cmb_video_link', true); ?>
<!-- banner area -->
<?php if(isset($nolez_redux_demo['blog_details_banner_image']['url']) && $nolez_redux_demo['blog_details_banner_image']['url'] != ''){?>
<section class="banner" style="background-image: url(<?php echo esc_url($nolez_redux_demo['blog_details_banner_image']['url']); ?>);">
<?php }else{?>
<section class="banner">
<?php }?> 
  <div class="container">
    <div class="col-lg-12">
      <div class="banner-content">
        <div class="banner-title text-center">
          <h1>
            <?php if(isset($nolez_redux_demo['blog_details_title'])){?>
            <?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['blog_details_title']));?>
            <?php }else{?>
            <?php echo esc_html__( 'Blog details', 'nolez' );
            }
            ?>
          </h1>
        </div>
        <div class="directory text-center">
          <a href="<?php echo esc_url(home_url('/')); ?>">
            <?php if(isset($nolez_redux_demo['home_text'])){?>
            <?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['home_text']));?>
            <?php }else{?>
            <?php echo esc_html__( 'home', 'nolez' );
            }
            ?>
          </a>
          <span>| |</span>
          <a href="#">
            <?php if(isset($nolez_redux_demo['blog_details_title'])){?>
            <?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['blog_details_title']));?>
            <?php }else{?>
            <?php echo esc_html__( 'Blog details', 'nolez' );
            }
            ?>
          </a>
        </div>
      </div>
    </div>
  </div>
</section>
<!-- course area -->
<section class="blog-details pt-100 pb-110">
  <div class="container">
    <!-- content -->
    <div class="row mt-30">
      <div class="col-lg-8">
        <!-- Single Blog Details -->
        <div class="single-blog-details single-blog-standard">
          <?php if( has_post_format( 'image' , $post_id ) ) {?>
          <div class="blog-details-img">
            <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" class="img-fluid">
          </div>
          <?php } elseif ( has_post_format( 'video' , $post_id )) { ?>
          <div class="blog-standard-img">
            <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" class="img-fluid" alt="Blog Image">
            <a href="<?php echo esc_url($video_link); ?>" class="blog-viddeo popup-video"><i class="fas fa-play"></i></a>
          </div>
          <?php } elseif ( has_post_format( 'audio' , $post_id )) { ?>
          <div class="blog-standard-img embed-responsive embed-responsive-16by9">
            <iframe src="<?php echo esc_url($audio_link); ?>"></iframe>
          </div>
          <?php } elseif ( has_post_format( 'quote' , $post_id )) { ?>
          <div class="blog-details-img">
            <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" class="img-fluid">
          </div>
          <?php }else{?>
          <?php } ?>
          <div class="post-meta">
            <p> <span><i class="far fa-user"></i><?php the_author_posts_link(); ?></span>
                <span><i class="far fa-calendar-alt"></i><?php the_time(get_option( 'date_format' ));?></span>
                <span><i class="far fa-comments"></i><?php comments_number( esc_html__('0 Comments', 'nolez'), esc_html__('1 Comment', 'nolez'), esc_html__('% Comments', 'nolez') ); ?></span></p>
          </div>
          <div class="blog-details-text">
            <h2><?php the_title(); ?></h2>
            <?php the_content(); ?>
            <?php wp_link_pages(); ?>
            <div class="blog-details-meta d-block d-lg-flex justify-content-between">
              <div class="lat-blog-tag mb-2 mb-lg-0">
                <span><i class="fas fa-tags"></i>
                  <?php if(isset($nolez_redux_demo['blog_tags'])){?>
                  <?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['blog_tags']));?>
                  <?php }else{?>
                  <?php echo esc_html__( 'Latest Tags : ', 'nolez' );
                  }
                  ?> </span>
                <?php echo get_the_tag_list(); ?>
              </div>
              <div class="blog-details-share">
                <span><?php if(isset($nolez_redux_demo['blog_share'])){?>
                      <?php echo wp_specialchars_decode(esc_attr($nolez_redux_demo['blog_share']));?>
                      <?php }else{?>
                      <?php echo esc_html__( 'Share ', 'nolez' );
                      }
                      ?></span>
                <?php if($single_facebook !='') { ?>
                <a href="<?php echo esc_url($single_facebook); ?>"><i class="fab fa-facebook-f"></i></a>
                <?php } ?>
                <?php if($single_twitter !='') { ?>
                <a href="<?php echo esc_url($single_twitter); ?>"><i class="fab fa-twitter"></i></a>
                <?php } ?>
                <?php if($single_instagram !='') { ?>
                <a href="<?php echo esc_url($single_instagram); ?>"><i class="fab fa-instagram"></i></a>
                <?php } ?>
                <?php if($single_youtube !='') { ?>
                <a href="<?php echo esc_url($single_youtube); ?>"><i class="fab fa-youtube"></i></a>
                <?php } ?>
              </div>
            </div>
          </div>
        </div>
        <!-- Single Blog Details End -->
        <!-- Blog Details Author -->
        <div class="blog-details-author-wrap">
          <div class="row">
            <div class="col-xl-12">
              <div class="blog-details-author d-block d-lg-flex align-items-center">
                <div class="blog-author-img mb-3 mb-lg-0">
                  <?php echo get_avatar(get_the_author_meta('user_email'),$size='150',
                  $default='http://0.gravatar.com/avatar/ad516503a11cd5ca435acc9bb6523536?s=150' );?>
                </div>
                <div class="blog-author-info">
                  <?php the_author_posts_link(); ?>
                  <p><?php echo get_the_author_meta('description');?></p>
                  <div class="blog-author-link">
                    <a href="#"><i class="fab fa-facebook-f"></i></a>
                    <a href="#"><i class="fab fa-twitter"></i></a>
                    <a href="#"><i class="fab fa-vimeo-v"></i></a>
                    <a href="#"><i class="fab fa-youtube"></i></a>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- Blog Details Author End -->
        <!-- Comment Area -->
        <?php comments_template();?>
        <!-- Comment Box End -->
      </div>
      <!-- sidebar -->
      <div class="col-lg-4">
        <div class="sidebar-wrapper">
          <?php get_sidebar();?>
        </div>
      </div>
      <!-- sidebar end -->
    </div>
  </div>
</section>
<?php endwhile; ?>
<?php
    get_footer();
?>