<?php
// register post type Event
add_action( 'init', 'register_nolez_Event' );
function register_nolez_Event() {
    
    $labels = array( 
        'name' => __( 'Event', 'nolez' ),
        'singular_name' => __( 'Event', 'nolez' ),
        'add_new' => __( 'Add New Event', 'nolez' ),
        'add_new_item' => __( 'Add New Event', 'nolez' ),
        'edit_item' => __( 'Edit Event', 'nolez' ),
        'new_item' => __( 'New Event', 'nolez' ),
        'view_item' => __( 'View Event', 'nolez' ),
        'search_items' => __( 'Search Event', 'nolez' ),
        'not_found' => __( 'No Event found', 'nolez' ),
        'not_found_in_trash' => __( 'No Event found in Trash', 'nolez' ),
        'parent_item_colon' => __( 'Parent Event:', 'nolez' ),
        'menu_name' => __( 'Event', 'nolez' ),
    );

    $args = array( 
        'labels' => $labels,
        'hierarchical' => true,
        'description' => 'List Event',
        'supports' => array( 'title', 'editor', 'thumbnail', 'comments'),
        'taxonomies' => array( 'Event', 'type1' ,'category1' ),
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'menu_position' => 5,
        'menu_icon'          => 'dashicons-admin-media',
        'show_in_nav_menus' => true,
        'publicly_queryable' => true,
        'exclude_from_search' => false,
        'has_archive' => true,
        'query_var' => true,
        'can_export' => true,
        'rewrite' => true,
        'capability_type' => 'post'
    );

    register_post_type( 'Event', $args );
}
add_action( 'init', 'create_type1_hierarchical_taxonomy', 0 );
add_action( 'init', 'create_Category1_hierarchical_taxonomy', 0 );

//create a custom taxonomy name it Skillss for your posts

function create_type1_hierarchical_taxonomy() {

// Add new taxonomy, make it hierarchical like Skills
//first do the translations part for GUI

  $labels = array(
    'name' => __( 'Type Event', 'nolez' ),
    'singular_name' => __( 'type1', 'nolez' ),
    'search_items' =>  __( 'Search type','nolez' ),
    'all_items' => __( 'All type','nolez' ),
    'parent_item' => __( 'Parent type','nolez' ),
    'parent_item_colon' => __( 'Parent type:','nolez' ),
    'edit_item' => __( 'Edit type','nolez' ), 
    'update_item' => __( 'Update type','nolez' ),
    'add_new_item' => __( 'Add New type','nolez' ),
    'new_item_name' => __( 'New type Name','nolez' ),
    'menu_name' => __( 'Type','nolez' ),
  );     

// Now register the taxonomy

  register_taxonomy('type1',array('Event'), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'show_admin_column' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'type1' ),
  ));

}

function create_Category1_hierarchical_taxonomy() {

// Add new taxonomy, make it hierarchical like Skills
//first do the translations part for GUI

  $labels = array(
    'name' => __( 'Category', 'nolez' ),
    'singular_name' => __( 'Category', 'nolez' ),
    'search_items' =>  __( 'Search Category','nolez' ),
    'all_items' => __( 'All Category','nolez' ),
    'parent_item' => __( 'Parent Category','nolez' ),
    'parent_item_colon' => __( 'Parent Category:','nolez' ),
    'edit_item' => __( 'Edit Category','nolez' ), 
    'update_item' => __( 'Update Category','nolez' ),
    'add_new_item' => __( 'Add New Category','nolez' ),
    'new_item_name' => __( 'New Category Name','nolez' ),
    'menu_name' => __( 'Category','nolez' ),
  );     

// Now register the taxonomy

  register_taxonomy('category1',array('Event'), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'show_admin_column' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'category1' ),
  ));

}

// register post type Course
add_action( 'init', 'register_nolez_Course' );
function register_nolez_Course() {
    
    $labels = array( 
        'name' => __( 'Course', 'nolez' ),
        'singular_name' => __( 'Course', 'nolez' ),
        'add_new' => __( 'Add New Course', 'nolez' ),
        'add_new_item' => __( 'Add New Course', 'nolez' ),
        'edit_item' => __( 'Edit Course', 'nolez' ),
        'new_item' => __( 'New Course', 'nolez' ),
        'view_item' => __( 'View Course', 'nolez' ),
        'search_items' => __( 'Search Course', 'nolez' ),
        'not_found' => __( 'No Course found', 'nolez' ),
        'not_found_in_trash' => __( 'No Course found in Trash', 'nolez' ),
        'parent_item_colon' => __( 'Parent Course:', 'nolez' ),
        'menu_name' => __( 'Course', 'nolez' ),
    );

    $args = array( 
        'labels' => $labels,
        'hierarchical' => true,
        'description' => 'List Course',
        'supports' => array( 'title', 'editor', 'thumbnail', 'comments'),
        'taxonomies' => array( 'Course', 'type2','category2' ),
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'menu_position' => 5,
        'menu_icon'          => 'dashicons-format-aside',
        'show_in_nav_menus' => true,
        'publicly_queryable' => true,
        'exclude_from_search' => false,
        'has_archive' => true,
        'query_var' => true,
        'can_export' => true,
        'rewrite' => true,
        'capability_type' => 'post'
    );

    register_post_type( 'Course', $args );
}
add_action( 'init', 'create_type2_hierarchical_taxonomy', 0 );
add_action( 'init', 'create_Category2_hierarchical_taxonomy', 0 );

//create a custom taxonomy name it Skillss for your posts

function create_type2_hierarchical_taxonomy() {

// Add new taxonomy, make it hierarchical like Skills
//first do the translations part for GUI

  $labels = array(
    'name' => __( 'Type Course', 'nolez' ),
    'singular_name' => __( 'type2', 'nolez' ),
    'search_items' =>  __( 'Search type','nolez' ),
    'all_items' => __( 'All type','nolez' ),
    'parent_item' => __( 'Parent type','nolez' ),
    'parent_item_colon' => __( 'Parent type:','nolez' ),
    'edit_item' => __( 'Edit type','nolez' ), 
    'update_item' => __( 'Update type','nolez' ),
    'add_new_item' => __( 'Add New type','nolez' ),
    'new_item_name' => __( 'New type Name','nolez' ),
    'menu_name' => __( 'Type','nolez' ),
  );     

// Now register the taxonomy

  register_taxonomy('type2',array('Course'), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'show_admin_column' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'type2' ),
  ));

}

function create_Category2_hierarchical_taxonomy() {

// Add new taxonomy, make it hierarchical like Skills
//first do the translations part for GUI

  $labels = array(
    'name' => __( 'Category', 'nolez' ),
    'singular_name' => __( 'Category', 'nolez' ),
    'search_items' =>  __( 'Search Category','nolez' ),
    'all_items' => __( 'All Category','nolez' ),
    'parent_item' => __( 'Parent Category','nolez' ),
    'parent_item_colon' => __( 'Parent Category:','nolez' ),
    'edit_item' => __( 'Edit Category','nolez' ), 
    'update_item' => __( 'Update Category','nolez' ),
    'add_new_item' => __( 'Add New Category','nolez' ),
    'new_item_name' => __( 'New Category Name','nolez' ),
    'menu_name' => __( 'Category','nolez' ),
  );     

// Now register the taxonomy

  register_taxonomy('category2',array('Course'), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'show_admin_column' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'category2' ),
  ));

}

// register post type Instructor
add_action( 'init', 'register_nolez_Instructor' );
function register_nolez_Instructor() {
    
    $labels = array( 
        'name' => __( 'Instructor', 'nolez' ),
        'singular_name' => __( 'Instructor', 'nolez' ),
        'add_new' => __( 'Add New Instructor', 'nolez' ),
        'add_new_item' => __( 'Add New Instructor', 'nolez' ),
        'edit_item' => __( 'Edit Instructor', 'nolez' ),
        'new_item' => __( 'New Instructor', 'nolez' ),
        'view_item' => __( 'View Instructor', 'nolez' ),
        'search_items' => __( 'Search Instructor', 'nolez' ),
        'not_found' => __( 'No Instructor found', 'nolez' ),
        'not_found_in_trash' => __( 'No Instructor found in Trash', 'nolez' ),
        'parent_item_colon' => __( 'Parent Instructor:', 'nolez' ),
        'menu_name' => __( 'Instructor', 'nolez' ),
    );

    $args = array( 
        'labels' => $labels,
        'hierarchical' => true,
        'description' => 'List Instructor',
        'supports' => array( 'title', 'editor', 'thumbnail', 'comments'),
        'taxonomies' => array( 'Instructor', 'type3' ),
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'menu_position' => 5,
        'menu_icon'          => 'dashicons-format-aside',
        'show_in_nav_menus' => true,
        'publicly_queryable' => true,
        'exclude_from_search' => false,
        'has_archive' => true,
        'query_var' => true,
        'can_export' => true,
        'rewrite' => true,
        'capability_type' => 'post'
    );

    register_post_type( 'Instructor', $args );
}
add_action( 'init', 'create_type3_hierarchical_taxonomy', 0 );

//create a custom taxonomy name it Skillss for your posts

function create_type3_hierarchical_taxonomy() {

// Add new taxonomy, make it hierarchical like Skills
//first do the translations part for GUI

  $labels = array(
    'name' => __( 'Type Instructor', 'nolez' ),
    'singular_name' => __( 'type3', 'nolez' ),
    'search_items' =>  __( 'Search type','nolez' ),
    'all_items' => __( 'All type','nolez' ),
    'parent_item' => __( 'Parent type','nolez' ),
    'parent_item_colon' => __( 'Parent type:','nolez' ),
    'edit_item' => __( 'Edit type','nolez' ), 
    'update_item' => __( 'Update type','nolez' ),
    'add_new_item' => __( 'Add New type','nolez' ),
    'new_item_name' => __( 'New type Name','nolez' ),
    'menu_name' => __( 'Type','nolez' ),
  );     

// Now register the taxonomy

  register_taxonomy('type3',array('Instructor'), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'show_admin_column' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'type3' ),
  ));

}

// register post type Gallery
add_action( 'init', 'register_nolez_Gallery' );
function register_nolez_Gallery() {
    
    $labels = array( 
        'name' => __( 'Gallery', 'nolez' ),
        'singular_name' => __( 'Gallery', 'nolez' ),
        'add_new' => __( 'Add New Gallery', 'nolez' ),
        'add_new_item' => __( 'Add New Gallery', 'nolez' ),
        'edit_item' => __( 'Edit Gallery', 'nolez' ),
        'new_item' => __( 'New Gallery', 'nolez' ),
        'view_item' => __( 'View Gallery', 'nolez' ),
        'search_items' => __( 'Search Gallery', 'nolez' ),
        'not_found' => __( 'No Gallery found', 'nolez' ),
        'not_found_in_trash' => __( 'No Gallery found in Trash', 'nolez' ),
        'parent_item_colon' => __( 'Parent Gallery:', 'nolez' ),
        'menu_name' => __( 'Gallery', 'nolez' ),
    );

    $args = array( 
        'labels' => $labels,
        'hierarchical' => true,
        'description' => 'List Gallery',
        'supports' => array( 'title', 'editor', 'thumbnail', 'comments'),
        'taxonomies' => array( 'Gallery', 'type' ),
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'menu_position' => 5,
        'menu_icon'          => 'dashicons-format-gallery',
        'show_in_nav_menus' => true,
        'publicly_queryable' => true,
        'exclude_from_search' => false,
        'has_archive' => true,
        'query_var' => true,
        'can_export' => true,
        'rewrite' => true,
        'capability_type' => 'post'
    );

    register_post_type( 'Gallery', $args );
}
add_action( 'init', 'create_type_hierarchical_taxonomy', 0 );

//create a custom taxonomy name it Skillss for your posts

function create_type_hierarchical_taxonomy() {

// Add new taxonomy, make it hierarchical like Skills
//first do the translations part for GUI

  $labels = array(
    'name' => __( 'Type', 'nolez' ),
    'singular_name' => __( 'type', 'nolez' ),
    'search_items' =>  __( 'Search type','nolez' ),
    'all_items' => __( 'All type','nolez' ),
    'parent_item' => __( 'Parent type','nolez' ),
    'parent_item_colon' => __( 'Parent type:','nolez' ),
    'edit_item' => __( 'Edit type','nolez' ), 
    'update_item' => __( 'Update type','nolez' ),
    'add_new_item' => __( 'Add New type','nolez' ),
    'new_item_name' => __( 'New type Name','nolez' ),
    'menu_name' => __( 'Type','nolez' ),
  );     

// Now register the taxonomy

  register_taxonomy('type',array('Gallery'), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'show_admin_column' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'type' ),
  ));

}
?>